Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.ld.metadata
Class ReportSpec

    java.lang.Object
      com.bea.ld.metadata.ReportSpec

All Implemented Interfaces:
  java.io.Serializable

    public class ReportSpec

extends java.lang.Object
implements java.io.Serializable

ReportSpec object should be passed to metadata API to generate a textual report.

See Also:
  Serialized Form

Constructor Summary
`ReportSpec(java.lang.String reportTitle)`

Method Summary
`void` | `addDSLocator(java.lang.String locator)`
`boolean` | `generateBodyTags()`
`boolean` | `generateHeadTags()`
`boolean` | `generateHtmlTags()`
`java.lang.String[]` | `getDSLocators()`
`java.lang.String` | `getReportTitle()`
`void` | `removeDSLocator(java.lang.String locator)`
`void` | `setDetail(boolean isDetail)`
`void` | `setGenerateBodyTags(boolean generateBodyTags)`
`void` | `setGenerateHeadTags(boolean generateHeadTags)`
`void` | `setGenerateHtmlTags(boolean generateHtmlTags)`
`void` | `setShowDependencies(boolean showDependencies)`
`void` | `setShowProperties(boolean showProperties)`
`void` | `setShowReadFunctionDetail(boolean showReadFunctionDetail)`
`void` | `setShowReadFunctions(boolean showReadFunctions)`
`void` | `setShowRelationshipDetail(boolean showRelationshipDetail)`
`void` | `setShowRelationships(boolean showRelationships)`
`void` | `setShowReturnType(boolean showReturnType)`
`void` | `setShowWhereUsed(boolean showWhereUsed)`
`boolean` | `showDependencies()`
`boolean` | `showProperties()`
`boolean` | `showReadFunctionDetail()`
`boolean` | `showReadFunctions()`
`boolean` | `showRelationshipDetail()`
`boolean` | `showRelationships()`
`boolean` | `showReturnType()`
`boolean` | `showWhereUsed()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReportSpec

    public ReportSpec(java.lang.String reportTitle)

Method Detail

### getReportTitle

    public java.lang.String getReportTitle()

### getDSLocators

    public java.lang.String[] getDSLocators()

### addDSLocator

    public void addDSLocator(java.lang.String locator)

### removeDSLocator

    public void removeDSLocator(java.lang.String locator)

### setDetail

    public void setDetail(boolean isDetail)

### generateHtmlTags

    public boolean generateHtmlTags()

### setGenerateHtmlTags

    public void setGenerateHtmlTags(boolean generateHtmlTags)

### generateHeadTags

    public boolean generateHeadTags()

### setGenerateHeadTags

    public void setGenerateHeadTags(boolean generateHeadTags)

### generateBodyTags

    public boolean generateBodyTags()

### setGenerateBodyTags

    public void setGenerateBodyTags(boolean generateBodyTags)

### showReturnType

    public boolean showReturnType()

### setShowReturnType

    public void setShowReturnType(boolean showReturnType)

### showRelationships

    public boolean showRelationships()

### setShowRelationships

    public void setShowRelationships(boolean showRelationships)

### showRelationshipDetail

    public boolean showRelationshipDetail()

### setShowRelationshipDetail

    public void setShowRelationshipDetail(boolean showRelationshipDetail)

### showProperties

    public boolean showProperties()

### setShowProperties

    public void setShowProperties(boolean showProperties)

### showDependencies

    public boolean showDependencies()

### setShowDependencies

    public void setShowDependencies(boolean showDependencies)

### showWhereUsed

    public boolean showWhereUsed()

### setShowWhereUsed

    public void setShowWhereUsed(boolean showWhereUsed)

### showReadFunctions

    public boolean showReadFunctions()

### setShowReadFunctions

    public void setShowReadFunctions(boolean showReadFunctions)

### showReadFunctionDetail

    public boolean showReadFunctionDetail()

### setShowReadFunctionDetail

    public void setShowReadFunctionDetail(boolean showReadFunctionDetail)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Oracle. All Rights Reserved.